extractr docs
Ticketmaster

Public artist profile

GET
/ticketmaster/get_artist

Public artist profile (/api/artist/{artistId}/info) — name, image, category classification, marketing synopsis and recent setlist history.

Costs 2 credits per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

artist_id*string

Ticketmaster artist id.

Length1 <= length
country?string
Default"DE"

Value in

  • "DE"
  • "AT"
  • "BE"
  • "NL"
  • "ES"
  • "FI"
  • "CZ"
  • "DK"
  • "NO"
  • "PL"
  • "ZA"
  • "SE"
  • "CH"
  • "AE"

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ticketmaster/get_artist?artist_id=884434"
{  "id": "884434",  "name": "The Weeknd",  "url": "https://www.ticketmaster.de/artist/the-weeknd-tickets/884434",  "image": "http://example.com",  "major_category": {    "id": "10001",    "name": "Concerts"  },  "minor_category": {    "id": "10001",    "name": "Concerts"  },  "synopsis": "string",  "has_video": true,  "setlist_history": [    {      "tour_name": "After Hours Til Dawn Tour",      "venue_name": "Mercedes-Benz Arena",      "city": "Berlin",      "country": "Germany",      "event_date": "2026-08-14",      "songs": [        "Blinding Lights",        "Save Your Tears",        "Starboy"      ]    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}